# -*- coding: utf-8 -*-
import sae.storage
import web
import zipfile
from datetime import datetime

class Upload:   
    def POST(self):
        web.header("Content-Type","text/html; charset=utf-8")
        x=web.input(myfile={})
        if 'myfile' in x and x.myfile.filename!='':
            self.file_upload(x)
        web.seeother('/')
        
    def file_upload(self,x):
        filepath=x.myfile.filename.replace('\\','/')
        filename=filepath.split('/')[-1]
        filename=datetime.now().strftime("%Y%m%d%H%M%S%f")+'.'+filename.split('.')[-1]#将文件名修改为当前日期,方便后面排序
        if ".zip" in filename:
            self.unzip_upload(x.myfile.file)
        else:
            st=sae.storage.Client()
            ob=sae.storage.Object(x.myfile.file.read())
            sturl=st.put('yesyouknow2',filename,ob)
                
    def unzip_upload(self,zip_file):
        st=sae.storage.Client()
        z=zipfile.ZipFile(zip_file)
        namelist=z.namelist()
        for name in namelist:
            file=z.read(name)
            filename=datetime.now().strftime("%Y%m%d%H%M%S%f")+'.'+name.split('.')[-1]#日期加上文件后缀名
            ob=sae.storage.Object(file)
            st.put('yesyouknow2',filename,ob)
        
